package cn.com.qmth.examcloud.exchange.outer.api;

import cn.com.qmth.examcloud.api.commons.EnterpriseService;
import org.springframework.web.multipart.commons.CommonsMultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年9月4日
 */
public interface FaceOuterService extends EnterpriseService {

    void addPhotoByUrl(Long rootOrgId, String identityNumber,
                       String photoUrl, String operator);

    void addPhoto(Long rootOrgId, String identityNumber, String operator,
                  CommonsMultipartFile file);

    List<Map<String, String>> importPhotos(Long rootOrgId, String operator,
                                           CommonsMultipartFile file);

}
